Subject: Re: bug#76187: vc-git-test-dir-branch-headers failure on Fedora

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Feb 2025 15:21:34 +0200

> Cc: [email-masked]
> From: Kévin Le Gouguec <[email-masked]>
> Date: Tue, 11 Feb 2025 23:09:45 +0100
> 
> Kévin Le Gouguec <[email-masked]> writes:
> 
> >    FWIW, sticking one more speculative (vc-dir-kill-dir-status-process)
> >    after (revert-buffer) lowers the failure rate (took 10 minutes to
> >    reproduce it once; no second occurrence after >5k runs over 30min).
> >
> > b. One of the test's git commands spawns a… background GC job or
> >    something, and the test's next git command trips over that.
> 
> c. That vc-dir-kill-dir-status-process actually kills a Git process that
>    is "holding the lock", in which case…

When we kill a Git process, we should also remove the lock file, I
think.